## nglister 1.0.1+nmu1

=== Makefile ===
# Copyright (C) 2002 John Goerzen
# <jgoerzen@complete.org>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
SHELL=/bin/bash

clean:
	-rm -f `find . -name "*~"`
	-rm -f `find . -name "*.tmp"`
	-python setup.py clean --all
	-rm -f nglisterc
	-rm -f `find . -name "*.pyc"`
	-rm -f `find . -name "*.pygc"`
	-rm -f `find . -name "*.class"`
	-rm -f `find . -name "*.bak"`
	-rm -f `find . -name ".cache*"`
	-rm manpage.links
	-rm manpage.refs
	-find . -name auth -exec rm -vf {}/password {}/username \;
	-svn cleanup

changelog:
	svn log -v > ChangeLog

docs:
	docbook2man nglister.sgml
	docbook2man nglister.sgml
	docbook2html -u nglister.sgml
	mv nglister.html manual.html
	man -t -l nglister.1 > manual.ps
	ps2pdf manual.ps
	groff -Tascii -man nglister.1 | sed $$'s/.\b//g' > manual.txt
	-rm manpage.links manpage.refs

## nglister 1.0.1

=== debian/changelog ===
nglister (1.0.1) unstable; urgency=low

  * Updated for Python 2.3.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 19 Nov 2003 20:51:44 -0600

nglister (1.0.0) unstable; urgency=low

  * Initial Release.  Closes: #180762.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 12 Feb 2003 11:07:14 -0600

=== debian/control ===
Source: nglister
Section: news
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends-Indep: debhelper (>> 3.0.0), python-dev (>= 2.3)
Standards-Version: 3.5.8

Package: nglister
Architecture: all
Depends: python (>= 2.3)
Description: Downloads information from NNTP server
 NGLister is a simple program designed to download information from an
 NNTP server.  It can download lists of newsgroups (active file),
 newgroup descriptions (newsgroups file), etc.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4



CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	python setup.py build
	#/usr/bin/docbook-to-man debian/nglister.sgml > nglister.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/nglister.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/nglister
	python setup.py install --root=`pwd`/debian/nglister --no-compile


binary-arch: build install
# We have nothing to do by default.

binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman nglister.1
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## nglister 1.0.1+nmu1

=== debian/changelog ===
nglister (1.0.1+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Pass --prefix=/usr option to setup.py to install files in correct
    location with python2.6 as default Python version (Closes: #571481).
  * Build-depend on python-support and invoke dh_pysupport in rules file.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 07 Mar 2010 14:09:44 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: news
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends-Indep: debhelper (>> 3.0.0), python-dev (>= 2.3)
+Build-Depends-Indep: debhelper (>> 3.0.0), python-dev (>= 2.3), python-support
 Standards-Version: 3.5.8
 
 Package: nglister

=== debian/rules ===
--- 
+++ 
@@ -58,7 +58,7 @@
 
 	# Add here commands to install the package into debian/nglister.
 	#$(MAKE) install DESTDIR=$(CURDIR)/debian/nglister
-	python setup.py install --root=`pwd`/debian/nglister --no-compile
+	python setup.py install --root=`pwd`/debian/nglister --prefix=/usr --no-compile
 
 
 binary-arch: build install
@@ -81,6 +81,7 @@
 	dh_installinfo
 #	dh_undocumented
 	dh_installchangelogs
+	dh_pysupport
 	dh_link
 	dh_strip
 	dh_compress

## nglister 1.0.1+nmu2

=== debian/changelog ===
nglister (1.0.1+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to dh_python2 (Closes: #786182).

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 09 Sep 2015 20:52:54 +0200

=== debian/control ===
Source: nglister
Section: news
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>> 3.0.0), python (>= 2.3), dh-python
Standards-Version: 3.5.8

Package: nglister
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Downloads information from NNTP server
 NGLister is a simple program designed to download information from an
 NNTP server.  It can download lists of newsgroups (active file),
 newgroup descriptions (newsgroups file), etc.

=== debian/rules ===
--- 
+++ 
@@ -81,7 +81,7 @@
 	dh_installinfo
 #	dh_undocumented
 	dh_installchangelogs
-	dh_pysupport
+	dh_python2
 	dh_link
 	dh_strip
 	dh_compress

## nglister 1.0.2

=== debian/changelog ===
nglister (1.0.2) unstable; urgency=low

  * Ack NMU.  Closes: #786182, #571481.
  * New debhelper compat 9.  Closes: #817594.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 29 May 2016 21:34:35 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: news
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>> 3.0.0), python (>= 2.3), dh-python
+Build-Depends: debhelper (>> 9), python (>= 2.3), dh-python
 Standards-Version: 3.5.8
 
 Package: nglister

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,6 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-# This is the debhelper compatibility version to use.
-export DH_COMPAT=4
 
 
 
@@ -53,7 +51,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	# Add here commands to install the package into debian/nglister.

## nglister 1.0.2build1

=== debian/changelog ===
nglister (1.0.2build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:38:11 +0000
